org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryJoinRequestMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryJoinRequestMessage

All Implemented Interfaces:
  Externalizable, Serializable

    public class TcpDiscoveryJoinRequestMessage
    extends TcpDiscoveryAbstractMessage

Initial message sent by a node that wants to enter topology. Sent to random node during SPI start. Then forwarded directly to coordinator.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryJoinRequestMessage()` Public default no-arg constructor for `Externalizable` interface.
`TcpDiscoveryJoinRequestMessage(TcpDiscoveryNode node, Map<Integer,Object> discoData)` Constructor.

### Method Summary

Methods
`Map<Integer,Object>` `discoveryData()`
`TcpDiscoveryNode` `node()` Gets new node that wants to join the topology.
`void` `readExternal(ObjectInput in)`
`boolean` `responded()`
`void` `responded(boolean responded)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, destinationClientNodeId, destinationClientNodeId, equals, getFlag, hashCode, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryJoinRequestMessage

    public TcpDiscoveryJoinRequestMessage()

Public default no-arg constructor for `Externalizable` interface.

#### TcpDiscoveryJoinRequestMessage

    public TcpDiscoveryJoinRequestMessage(TcpDiscoveryNode node,
                                  Map<Integer,Object> discoData)

Constructor.

Parameters:
  `node` - New node that wants to join.
  `discoData` - Discovery data.

### Method Detail

#### node

    public TcpDiscoveryNode node()

Gets new node that wants to join the topology.

Returns:
  Node that wants to join the topology.

#### discoveryData

    public Map<Integer,Object> discoveryData()

Returns:
  Discovery data.

#### responded

    public boolean responded()

Returns:
  `true` flag.

#### responded

    public void responded(boolean responded)

Parameters:
  `responded` - Responded flag.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015